This is a Laravel 5 package that provides messenger_user management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `guru/messenger_user`.

    "guru/messenger_user": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Guru\MessengerUser\Providers\MessengerUserServiceProvider::class,

```

And also add it to alias

```php
'MessengerUser'  => Guru\MessengerUser\Facades\MessengerUser::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Guru\MessengerUser\Providers\MessengerUserServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Guru\MessengerUser\Providers\MessengerUserServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Guru\MessengerUser\Providers\MessengerUserServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Guru\MessengerUser\Providers\MessengerUserServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Guru\MessengerUser\Providers\MessengerUserServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Guru\MessengerUser\Providers\MessengerUserServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


