<?php

namespace Guru\MessengerUser\Repositories\Eloquent;

use Guru\MessengerUser\Interfaces\MessengerUserRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class MessengerUserRepository extends BaseRepository implements MessengerUserRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.messenger_user.messenger_user.model');
    }
}
