<?php

namespace Guru\MessengerUser\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MessengerUserItemTransformer extends TransformerAbstract
{
    public function transform(\Guru\MessengerUser\Models\MessengerUser $messenger_user)
    {
        return [
            'id'                => $messenger_user->getRouteKey(),
            'username'          => $messenger_user->username,
            'last_activity'     => $messenger_user->last_activity,
            'last_input'        => $messenger_user->last_input,
        ];
    }
}